Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class AbstractConnectionMetaData

    java.lang.Object
      com.bea.adapter.spi.AbstractConnectionMetaData

All Implemented Interfaces:
  javax.resource.cci.ConnectionMetaData, javax.resource.spi.ManagedConnectionMetaData

    public abstract class AbstractConnectionMetaData

extends Object
implements javax.resource.spi.ManagedConnectionMetaData, javax.resource.cci.ConnectionMetaData

Constructor Summary
`AbstractConnectionMetaData(AbstractManagedConnection myManagedConnection)`

Method Summary
`String` | `getEISProductName()`
`String` | `getEISProductVersion()`
`LogContext` | `getLogContext()` Retrieves an object that determines the logging configuration for this instance in the logging framework.
`ILogger` | `getLogger()` Retrieves an object used to log information to.
`int` | `getMaxConnections()`
`String` | `getUserName()`
`protected abstract String` | `readEISProductName(AbstractManagedConnection mc)`
`protected abstract String` | `readEISProductVersion(AbstractManagedConnection mc)`
`protected abstract int` | `readMaxConnections(AbstractManagedConnection mc)`
`protected abstract String` | `readUserName(AbstractManagedConnection mc)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractConnectionMetaData

    public AbstractConnectionMetaData(AbstractManagedConnection myManagedConnection)

Method Detail

### getLogContext

    public LogContext getLogContext()

  Retrieves an object that determines the logging configuration for this instance in the logging framework.

  Returns:
    an object that determines the logging configuration for this instance.

### getLogger

    public ILogger getLogger()

  Retrieves an object used to log information to.

  Returns:
    an object used to log information to.

### getEISProductName

    public String getEISProductName()
                             throws javax.resource.ResourceException

  Specified by:
    `getEISProductName` in interface `javax.resource.cci.ConnectionMetaData`
  Specified by:
    `getEISProductName` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

### readEISProductName

    protected abstract String readEISProductName(AbstractManagedConnection mc)
                                          throws Exception

  Throws:
    `Exception`

### getEISProductVersion

    public String getEISProductVersion()
                                throws javax.resource.ResourceException

  Specified by:
    `getEISProductVersion` in interface `javax.resource.cci.ConnectionMetaData`
  Specified by:
    `getEISProductVersion` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

### readEISProductVersion

    protected abstract String readEISProductVersion(AbstractManagedConnection mc)
                                             throws Exception

  Throws:
    `Exception`

### getMaxConnections

    public int getMaxConnections()
                          throws javax.resource.ResourceException

  Specified by:
    `getMaxConnections` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

### readMaxConnections

    protected abstract int readMaxConnections(AbstractManagedConnection mc)
                                       throws Exception

  Throws:
    `Exception`

### getUserName

    public String getUserName()
                       throws javax.resource.ResourceException

  Specified by:
    `getUserName` in interface `javax.resource.cci.ConnectionMetaData`
  Specified by:
    `getUserName` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

### readUserName

    protected abstract String readUserName(AbstractManagedConnection mc)
                                    throws Exception

  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD